Sep 13 2011

Running Mac OS X 10.7 "Lion"? Update Your Flash Player

Posted by Brian Klaas at 10:52 AM Online Courses

If you're running Mac OS X 10.7 (aka "Lion"), you need to update your Flash Player to the absolute latest version. Students running OS 10.7 have reported problems connecting to LiveTalk, handling the Flash Player security window in LiveTalk, and with audio playback in online lectures. All of these problems are related to older versions of the Flash Player running under Mac OS X 10.7.

If you're having any of these problems, you need to download the latest version of the Flash Player, then restart your computer. The restart is really important. A restart ensures that your Web browser (Safari, Firefox, Chrome) is using the latest version of the Flash Player, and not an older version that's still running in memory.

Adobe continues to work on bugs with the Flash Player running under Mac OS X 10.7, so it's a good idea to continue updating your Flash Player when prompted to do so.

As always, if you have problems, please feel free to contact CTLTHelp.

Search Archives

Subscribe

CoursePlus on Twitter

JHSPH Sites

Categories

Monthly Archives